PGAGetPopReplaceType(8)

NAME
PGAGetPopReplaceType - returns the symbolic constant used to determine which strings to copy from the old population to the new population.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetPopReplaceType(ctx)
PGAContext *ctx

LOCATION
pop.c

EXAMPLE
Example:
PGAContext *ctx;
int popreplace;
:
popreplace = PGAGetPopReplaceType(ctx);
switch (popreplace) {
case PGA_POPREPL_BEST:
printf("Replacement Strategy = PGA_POPREPL_BEST);
break;
case PGA_POPREPL_RANDOM_REP:
printf("Replacement Strategy = PGA_POPREPL_RANDOM_REP);
break;
case PGA_POPREPL_RANDOM_NOREP:
printf("Replacement Strategy = PGA_POPREPL_RANDOM_NOREP);
break;
}